<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('talk_comment', function (Blueprint $table) {
            $table->id();
            $table->integer('talk_id')->comment('话题Id');
            $table->integer('user_id')->comment('用户id');
            $table->string('content')->nullable()->comment('评论');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('talk_comment');
    }
};
